## meliae 0.4.0

=== Makefile ===
all: build_inplace

check: all
	python run_tests.py

build_inplace:
	python setup.py build_ext -i

.PHONY: all build_inplace

## meliae 0.2.0

=== debian/changelog ===
meliae (0.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #561690)

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 19 Dec 2009 18:23:37 +0100

=== debian/control ===
Source: meliae
Section: python
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>> 5.0.0), cdbs, python, python-all-dev, python-central, python-pyrex
Standards-Version: 3.8.3
Vcs-Bzr: http://bzr.debian.org/users/jelmer/meliae/unstable
XS-Python-Version: >= 2.5
Homepage: http://bazaar-vcs.org

Package: python-meliae
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Memory analysis tool for Python
 Meliae is a library meant to help people understand how their memory is being
 used in Python. 
 .
 This project is similar to heapy (in the 'guppy' project), in its attempt to 
 understand how memory has been allocated.
 .
 Currently, its main difference is that it splits the task of computing 
 summary statistics of memory consumption from the actual scanning of memory 
 consumption.

## meliae 0.2.1

=== debian/changelog ===
meliae (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.0.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 20 Jul 2010 18:26:22 +0200

meliae (0.2.1~rc1-1) experimental; urgency=low

  * New upstream release.
  * Fix homepage. Closes: #566244

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 01 Jul 2010 00:22:01 +0200

meliae (0.2.0-2) unstable; urgency=low

  * Recommend simplejson for faster parsing.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 29 Jan 2010 15:21:37 +0100

=== debian/control ===
Source: meliae
Section: python
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>> 5.0.0), cdbs, python, python-all-dev, python-central, python-pyrex
Standards-Version: 3.9.0
Vcs-Bzr: http://bzr.debian.org/users/jelmer/meliae/unstable
XS-Python-Version: >= 2.5
Homepage: https://launchpad.net/meliae

Package: python-meliae
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Recommends: python-simplejson
XB-Python-Version: ${python:Versions}
Description: Memory analysis tool for Python
 Meliae is a library meant to help people understand how their memory is being
 used in Python.
 .
 This project is similar to heapy (in the 'guppy' project), in its attempt to
 understand how memory has been allocated.
 .
 Currently, its main difference is that it splits the task of computing
 summary statistics of memory consumption from the actual scanning of memory
 consumption.

## meliae 0.3.0

=== debian/changelog ===
meliae (0.3.0-3build1) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:04:42 +0000

meliae (0.3.0-3) unstable; urgency=low

  * Switch to python-support.
  * Build Python2.5 packages as well. Closes: #593749

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 04 Oct 2010 20:20:30 +0200

meliae (0.3.0-2) unstable; urgency=low

  * Depend on cython rather than pyrex. Closes: #591536

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 07 Aug 2010 16:07:29 +0200

meliae (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 02 Aug 2010 20:39:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Jelmer Vernooij <jelmer@debian.org>
-Build-Depends: debhelper (>> 5.0.0), cdbs, python, python-all-dev, python-central, python-pyrex
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>> 5.0.0), cdbs, python, python-all-dev, python-support (>= 0.90), cython
+Standards-Version: 3.9.1
 Vcs-Bzr: http://bzr.debian.org/users/jelmer/meliae/unstable
 XS-Python-Version: >= 2.5
 Homepage: https://launchpad.net/meliae

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM = pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_PYTHON_BUILD_ARGS += --executable=/usr/bin/python

## meliae 0.4.0

=== debian/changelog ===
meliae (0.4.0-1build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:05:17 +0000

meliae (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 14 Jul 2011 14:49:46 +0200

meliae (0.3.0+bzr192-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.9.2 (no changes).
  * Add python-meliae-dbg package.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 19 Jun 2011 05:52:19 +0200

meliae (0.3.0+bzr190-1) unstable; urgency=low

  * Drop extra dependency on python-central.
  * Run test suite during package build.
  * New upstream snapshot.
   + Fixes compatibility with Python2.7.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 22 Mar 2011 12:40:34 +0100

=== debian/control ===
Source: meliae
Section: python
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: cython-dbg,
               debhelper (>= 8.1.0~),
               python-all-dev (>= 2.6.6-3),
               python-all-dbg (>= 2.6.6-3),
               python-simplejson
Standards-Version: 3.9.2
Vcs-Bzr: http://bzr.debian.org/users/jelmer/meliae/unstable
X-Python-Version: >= 2.5
Homepage: https://launchpad.net/meliae

Package: python-meliae
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Recommends: python-simplejson
Provides: ${python:Provides}
Suggests: python-meliae-dbg
Description: Memory analysis tool for Python
 Meliae is a library meant to help people understand how their memory is being
 used in Python.
 .
 This project is similar to heapy (in the 'guppy' project), in its attempt to
 understand how memory has been allocated.
 .
 Currently, its main difference is that it splits the task of computing
 summary statistics of memory consumption from the actual scanning of memory
 consumption.

Package: python-meliae-dbg
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-meliae (= ${binary:Version})
Recommends: python-dbg
Provides: ${python:Provides}
Section: debug
Priority: extra
Description: Memory analysis tool for Python - Debug extension
 Meliae is a library meant to help people understand how their memory is being
 used in Python.
 .
 This package contains the debug extension.

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/b/~b/" \
https://launchpad.net/meliae/+download http://launchpad.net/meliae/.*/meliae-(.+).tar.gz

## meliae 0.4.0%2Bbzr199

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: meliae
 Section: python
 Priority: optional
-Maintainer: Jelmer Vernooij <jelmer@debian.org>
-Build-Depends: cython-dbg,
-               debhelper (>= 8.1.0~),
+Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
+Build-Depends: cython-dbg (>= 0.25.2-2),
+               debhelper (>= 9),
                python-all-dev (>= 2.6.6-3),
                python-all-dbg (>= 2.6.6-3),
                python-simplejson
-Standards-Version: 3.9.2
-Vcs-Bzr: http://bzr.debian.org/users/jelmer/meliae/unstable
+Standards-Version: 4.0.0
+Vcs-Bzr: https://anonscm.debian.org/bzr/users/jelmer/meliae/unstable
 X-Python-Version: >= 2.5
 Homepage: https://launchpad.net/meliae
+XS-Testsuite: autopkgtest
 
 Package: python-meliae
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Recommends: python-simplejson
 Provides: ${python:Provides}
@@ -30,7 +31,7 @@
  consumption.
 
 Package: python-meliae-dbg
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-meliae (= ${binary:Version})
 Recommends: python-dbg
 Provides: ${python:Provides}

## meliae 0.4.0+bzr199

=== debian/changelog ===
meliae (0.4.0+bzr199-1) unstable; urgency=medium

  * New upstream snapshot.
   + Fixes JSON parsing bug that breaks autopkgtest.
  * Bump standards version to 3.6.9 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 08 Nov 2014 12:28:36 +0000

meliae (0.4.0-5) unstable; urgency=medium

  * Use restrictions for autopkgtest, not features.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 25 Apr 2014 02:43:43 +0200

meliae (0.4.0-4) unstable; urgency=medium

  * Tests are not installed, so require running from the built source
    tree.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 25 Feb 2014 23:57:04 +0000

meliae (0.4.0-3) unstable; urgency=medium

  * Avoid writing to stderr, as autopkgtest considers that an indication
    of failure.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 25 Feb 2014 02:24:36 +0000

meliae (0.4.0-2) unstable; urgency=low

  * Bump standards version to 3.9.5 (no changes).
  * Fix Vcs-Bzr URL.
  * Add autopkgtest.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 08 Apr 2012 21:19:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: meliae
 Section: python
 Priority: optional
-Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
-Build-Depends: cython-dbg (>= 0.25.2-2),
-               debhelper (>= 9),
+Maintainer: Jelmer Vernooij <jelmer@debian.org>
+Build-Depends: cython-dbg,
+               debhelper (>= 8.1.0~),
                python-all-dev (>= 2.6.6-3),
                python-all-dbg (>= 2.6.6-3),
                python-simplejson
-Standards-Version: 4.0.0
-Vcs-Bzr: https://anonscm.debian.org/bzr/users/jelmer/meliae/unstable
+Standards-Version: 3.9.6
+Vcs-Bzr: http://anonscm.debian.org/bzr/users/jelmer/meliae/unstable
 X-Python-Version: >= 2.5
 Homepage: https://launchpad.net/meliae
 XS-Testsuite: autopkgtest
 
 Package: python-meliae
-Architecture: linux-any kfreebsd-any
+Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Recommends: python-simplejson
 Provides: ${python:Provides}
@@ -31,7 +31,7 @@
  consumption.
 
 Package: python-meliae-dbg
-Architecture: linux-any kfreebsd-any
+Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-meliae (= ${binary:Version})
 Recommends: python-dbg
 Provides: ${python:Provides}

=== debian/rules ===
#!/usr/bin/make -f

PYVERS = $(shell pyversions -r -v)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check
endif

override_dh_install:
	# Install everything excluding the *_d.so debug extensions to python-meliae
	dh_install -X"*_d.so" "debian/tmp/*" -p python-meliae
	# Install the debug extensions to python-meliae-dbg
	dh_install "debian/tmp/usr/lib/python*/*-packages/meliae/*_d.so" -p python-meliae-dbg
	# Continue with regular dh_install
	dh_install

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip --dbg-package=python-meliae-dbg
endif

%:
	dh --with python2 --buildsystem=python_distutils $*

=== debian/tests/control ===
Tests: testsuite
Depends: python-meliae
Restrictions: build-needed allow-stderr
